/*
 * Copyright 2013 Mark Slater
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

package net.sourceforge.writexml;

interface XmlWriter {
    void write(Tag child) throws XmlWriteException;

    void writeText(String text) throws XmlWriteException;

    void writeCdata(String cdata) throws XmlWriteException;

    void writeStartTag(Namespace namespace, TagName name, Attributes attributes) throws XmlWriteException;

    void writeEndTag(Namespace namespace, TagName name) throws XmlWriteException;

    void writeStartDocument() throws XmlWriteException;

    void writeEndDocument() throws XmlWriteException;

    void writeDtd(DtdName name, DtdPublicId publicId, DtdSystemId systemId) throws XmlWriteException;
}
